## org.eclipse.jet.core.parser.ast
Class XMLBodyElementEnd

    java.lang.Object
      org.eclipse.jet.core.parser.ast.JETASTElement
          org.eclipse.jet.core.parser.ast.BodyElement
              org.eclipse.jet.core.parser.ast.XMLBodyElementEnd

    public class XMLBodyElementEnd

extends BodyElement

Represent the closing tag of an XML Tag with a body.

Since:
  0.8.0

Method Summary
`protected void` `accept0(JETASTVisitor visitor)` Visit the AST and its contained elements.
`JETASTElement` `getPrevElement()`
`XMLBodyElement` `getStartTag()`
`boolean` `removeLineWhenOtherwiseEmpty()` Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output.
`void` `setStartTag(XMLBodyElement startTag)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.jet.core.parser.ast.JETASTElement
`accept, getAst, getColumn, getEnd, getLine, getNextElement, getParent, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### accept0

    protected void accept0(JETASTVisitor visitor)

  Description copied from class: `JETASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept0` in class `JETASTElement`

### getStartTag

    public final XMLBodyElement getStartTag()

  Returns:
    Returns the startTag.

### removeLineWhenOtherwiseEmpty

    public boolean removeLineWhenOtherwiseEmpty()

  Description copied from class: `JETASTElement`
  Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output. In general, elements that create output should return `false`, while element that do should should return `true`.

  Specified by:
    `removeLineWhenOtherwiseEmpty` in class `JETASTElement`
  Returns:
    `true` if the containing line should be removed if otherwise empty.

### setStartTag

    public final void setStartTag(XMLBodyElement startTag)

  Parameters:
    `startTag` - The startTag to set.

### getPrevElement

    public JETASTElement getPrevElement()

  Overrides:
    `getPrevElement` in class `JETASTElement`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2006 IBM Corporation and others. All Rights Reserved.